Update a virtual machine
curl --request PATCH \
--url https://api.vmarea.com/api/v1/api/public/v1/vms/{id} \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"name": "<string>",
"isProtected": true
}
'import requests
url = "https://api.vmarea.com/api/v1/api/public/v1/vms/{id}"
payload = {
"name": "<string>",
"isProtected": True
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: '<string>', isProtected: true})
};
fetch('https://api.vmarea.com/api/v1/api/public/v1/vms/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"data": {
"id": "<string>",
"name": "<string>",
"hostname": "<string>",
"status": "<string>",
"vcpu": 123,
"ram": 123,
"disk": 123,
"bandwidth": 123,
"networkSpeed": 123,
"network10gEnabled": true,
"dailyBackupEnabled": true,
"isProtected": true,
"ipAddress": "<string>",
"region": {
"slug": "<string>",
"name": "<string>"
},
"plan": {
"slug": "<string>",
"name": "<string>",
"priceMonthly": "<unknown>"
},
"osTemplate": {
"slug": "<string>",
"name": "<string>",
"version": "<string>"
},
"billing": {
"nextRenewalAt": "2023-11-07T05:31:56Z",
"status": "<string>",
"priceMonthly": "<unknown>"
},
"createdAt": "2023-11-07T05:31:56Z",
"bandwidthUsedBytes": 123,
"bandwidthPackBytes": "<string>",
"sshKeys": [
{
"id": "<string>",
"name": "<string>",
"fingerprint": "<string>"
}
],
"firewalls": [
{
"id": "<string>",
"name": "<string>"
}
],
"privateNetworks": [
{
"id": "<string>",
"name": "<string>"
}
],
"updatedAt": "2023-11-07T05:31:56Z"
}
}{
"success": false,
"error": "<string>"
}{
"success": false,
"error": "<string>"
}{
"success": false,
"error": "<string>"
}VMs
Update a virtual machine
Rename a VM and/or toggle deletion protection. At least one of name or isProtected must be provided. Requires the vms:write scope.
PATCH
/
api
/
public
/
v1
/
vms
/
{id}
Update a virtual machine
Authorizations
Long-lived API token created at https://vmarea.com/dashboard/settings/api-keys. Tokens are scope-restricted; this spec lists the scope each endpoint requires.
Path Parameters
⌘I